Subject: Bug#583: Windows client closes session when inactive

From: Pavel Hanák <[email-masked]>
Date: Tue, 26 Aug 2014 15:40:43 +0200

Package: x2goclient
Version: 4.2.0.1+hotfix1+build3

Hello. I am using nx-client to run some linux programs
on windows. I wanted to switch to x2go but
I experience problems with disconnecting/terminating
my session after some time of inactivity. That means,
when I e.g. minimize my x2goclient window then
after some time (cca 7-12 minutes) the session
terminates without any explanation.
This happens only in windows client, not in linux client.

I tried to look the content of session.log file on the server,
but I don't see anything useful:

    running as X2Go Agent
     
    NXAGENT - Version 3.5.0
     
    Copyright (C) 2001, 2011 NoMachine.
    See http://www.nomachine.com/ for more information.
     
    Info: Agent running with pid '21950'.
    Session: Starting session at 'Tue Jul 29 09:22:20 2014'.
    Info: Proxy running in server mode with pid '21950'.
    Info: Waiting for connection from 'localhost' on port '30052'.
    Info: Accepted connection from '127.0.0.1'.
    Info: Connection with remote proxy completed.
    Info: Using LAN link parameters 1536/24/1/0.
    Info: Using agent parameters 5000/0/50/0/0.
    Info: Using pack method '16m-jpeg-7' with session 'unix-kde-depth_32'.
    Info: Not using NX delta compression.
    Info: Not using ZLIB data compression.
    Info: Not using ZLIB stream compression.
    Info: Not using a persistent cache.
    Info: Listening to X11 connections on display ':68'.
    Info: Established X client connection.
    Info: Using shared memory parameters 1/1/0/0K.
    Info: Using auto-disconnect timeout of 3600 seconds.
    Info: Using alpha channel in render extension.
    Info: Not using local device configuration changes.
    keyboard file created
    SessionPath not defined
    Session: Session started at 'Tue Jul 29 09:22:22 2014'.
    Info: Screen [0] resized to geometry [1920x1084] fullscreen [0].
    Session: Terminating session at 'Tue Jul 29 09:30:02 2014'.
    Info: Waiting the cleanup timeout to complete.
    Session: Session terminated at 'Tue Jul 29 09:30:02 2014'.

Pavel